View Issue Details

IDProjectCategoryView StatusLast Update
0004662ScribusGeneralpublic2016-05-20 15:11
Reporterchristoph_s Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status confirmedResolutionopen 
Platformx86OSLinuxOS VersionSuSE 10.1
Product Version1.3.4cvs 
Target Version1.6 milestoneFixed in Version 
Summary0004662: Switching basic document layout leaves master pages intact (AKA updating single to double or vice-versa doesn't +/- masterpage)
DescriptionIf a document layout is switched from "Single Page" to "Double Sided" or the other way around, the master pages stay the same as before. Scribus should change them according to the new preset (i.e. "Normal" for Single Page and "Normal Right" and "Normal Left" for Double Sided).
Steps To Reproduce1. open 'single page' document
2. open masterpage and draw something in it
3. File > Document Setup > Document Setup > Layout
4. choose 'Double Page'
Result: Document will show double page layout but not with 2 master pages. The single masterpage layout remains

OR

1. open 'double page' document
2. open left masterpage and draw something in it
3. open right masterpage and draw something in it
4. File > Document Setup > Document Setup > Layout
5. choose 'Single Page'
Result: Document will show single page layout but not with 1 master page. The double masterpage layout will remain and be applied to every other page. AKA Normal Left to page 1, Normal Right to page 2, Normal Left to page 3 etc...
TagsNo tags attached.
PatchNo

Relationships

has duplicate 0010738 closed switching from single page to double page layout should create the needed master pages 
child of 0003837 acknowledged Metabug: Master pages/Page templates 

Activities

Mike

2012-01-03 08:08

reporter   ~0027435

This bug is still active in final 1.4.0.

Kunda

2016-05-20 14:27

manager   ~0041255

Still exists for 1.5.3svn r21338

Kunda

2016-05-20 15:10

manager   ~0041259

Closed duplicate 0010738

Issue History

Date Modified Username Field Change
2006-11-30 09:50 christoph_s New Issue
2012-01-03 08:08 Mike Note Added: 0027435
2016-05-20 14:27 Kunda Note Added: 0041255
2016-05-20 14:28 Kunda Status new => confirmed
2016-05-20 14:28 Kunda Assigned To => Kunda
2016-05-20 14:28 Kunda Status confirmed => assigned
2016-05-20 14:28 Kunda Assigned To Kunda =>
2016-05-20 14:28 Kunda Patch => No
2016-05-20 14:28 Kunda Target Version => 1.6 milestone
2016-05-20 14:29 Kunda Summary Switching basic document layout leaves master pages intact => Switching basic document layout leaves master pages intact (AKA updating from single to double doesn't add another masterpage)
2016-05-20 14:36 Kunda Summary Switching basic document layout leaves master pages intact (AKA updating from single to double doesn't add another masterpage) => Switching basic document layout leaves master pages intact (AKA updating single to double or vice-versa doesn't +/- masterpage)
2016-05-20 14:36 Kunda Steps to Reproduce Updated View Revisions
2016-05-20 14:38 Kunda Status assigned => confirmed
2016-05-20 14:38 Kunda Steps to Reproduce Updated View Revisions
2016-05-20 15:08 Kunda Relationship added has duplicate 0010738
2016-05-20 15:10 Kunda Note Added: 0041259
2016-05-20 15:11 Kunda Relationship added child of 0003837